#ifndef UTILS_H
#define UTILS_H

#include <GL/glew.h>
#include <iostream>
#include <glm/glm.hpp>
#include <x86intrin.h>


// Helper function to check for OpenGL errors and print a message
void checkGLError(const char* operation);
float perlinNoise(float x, float y); // Placeholder declaration

uint64_t rdtsc();
#endif // UTILS_H